Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.workbench
Class BioUMLApplication

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Frame
                      javax.swing.JFrame
                          com.developmentontheedge.application.ApplicationFrame
                              biouml.workbench.BioUMLApplication

All Implemented Interfaces:
  javax.accessibility.Accessible, javax.swing.event.ChangeListener, java.util.EventListener, java.awt.image.ImageObserver, java.awt.MenuContainer, javax.swing.RootPaneContainer, java.io.Serializable, javax.swing.WindowConstants

public class BioUMLApplication
extends ApplicationFrame
implements javax.swing.event.ChangeListener

General class for different BioUML applications.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JFrame
`javax.swing.JFrame.AccessibleJFrame`

Nested classes inherited from class java.awt.Frame
`java.awt.Frame.AccessibleAWTFrame`

Nested classes inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Nested classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`static java.lang.String` | `CONFIG_FILE`
`static java.lang.String` | `DIAGRAM_PANE_NAME`
`protected biouml.workbench.BioUMLApplication.DiagramViewListener` | `diagramViewListener`
`static java.lang.String` | `EDITOR_PANE_NAME`
`static java.lang.String` | `EXPLORER_PANE_NAME`
`protected static int` | `GROUP_EDIT`
`protected static int` | `GROUP_FILE`
`protected static int` | `GROUP_HELP`
`protected static int` | `GROUP_PANE`
`protected static int` | `GROUP_PRINT`
`protected static int` | `GROUP_SETUP`
`protected static int` | `GROUP_ZOOM`
`protected static org.apache.log4j.Category` | `log`
`static java.lang.String` | `REPOSITORY_PANE_NAME`

Fields inherited from class com.developmentontheedge.application.ApplicationFrame
`menuBar, panelManager, toolBar`

Fields inherited from class javax.swing.JFrame
`accessibleContext, EXIT_ON_CLOSE, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Frame
`CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MAXIMIZED_BOTH, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`BioUMLApplication(java.lang.String modulePath)`

Method Summary
`protected void` | `bindHelp(javax.swing.JComponent component, java.lang.String helpId)`
`boolean` | `closeApplication()`
`void` | `closeCurrentDiagram()`
`protected void` | `enableDiagramActions(boolean flag)`
`protected void` | `enableSaveDiagramActions(boolean flag)`
`protected void` | `fillToolbarPaneActions()`
`ViewPaneListener` | `getDiagramViewListener()`
`static MessageBundle` | `getMessageBundle()`
`protected void` | `initActions()`
`protected void` | `initHelp()` Initialize HelpRegistry and setup helpId for workbench components.
`protected void` | `initMenubar()`
`protected void` | `initPanels()`
`protected void` | `initToolbar()`
`protected void` | `loadPreferences()`
`void` | `newDiagram(Module module)`
`void` | `openDiagram(java.lang.String completeName)`
`void` | `saveDiagram()`
`protected boolean` | `saveDiagramConfirmDialog()`
`protected void` | `savePreferences()`
`void` | `stateChanged(javax.swing.event.ChangeEvent e)`
`void` | `updateSelection(ViewPane viewPane)`

Methods inherited from class com.developmentontheedge.application.ApplicationFrame
`getDocumentManager, getPanelManager, getStatusBar, getToolBar, setStatusBar, setToolBar`

Methods inherited from class javax.swing.JFrame
`addImpl, createRootPane, frameInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Frame
`addNotify, finalize, getCursorType, getExtendedState, getFrames, getIconImage, getMaximizedBounds, getMenuBar, getState, getTitle, isResizable, isUndecorated, remove, removeNotify, setCursor, setExtendedState, setIconImage, setMaximizedBounds, setMenuBar, setResizable, setState, setTitle, setUndecorated`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getMostRecentFocusOwner, getOwnedWindows, getOwner, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindowStateListeners, hide, isActive, isFocusableWindow, isFocusCycleRoot, isFocused, isShowing, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, setCursor, setFocusableWindowState, setFocusCycleRoot, setLocationRelativeTo, show, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setFocusTraversalKeys, setFocusTraversalPolicy, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.awt.MenuContainer
`getFont, postEvent`

Field Detail

### GROUP_FILE

    protected static final int GROUP_FILE

See Also:
  Constant Field Values

### GROUP_ZOOM

    protected static final int GROUP_ZOOM

See Also:
  Constant Field Values

### GROUP_EDIT

    protected static final int GROUP_EDIT

See Also:
  Constant Field Values

### GROUP_PRINT

    protected static final int GROUP_PRINT

See Also:
  Constant Field Values

### GROUP_PANE

    protected static final int GROUP_PANE

See Also:
  Constant Field Values

### GROUP_SETUP

    protected static final int GROUP_SETUP

See Also:
  Constant Field Values

### GROUP_HELP

    protected static final int GROUP_HELP

See Also:
  Constant Field Values

### REPOSITORY_PANE_NAME

    public static final java.lang.String REPOSITORY_PANE_NAME

See Also:
  Constant Field Values

### EXPLORER_PANE_NAME

    public static final java.lang.String EXPLORER_PANE_NAME

See Also:
  Constant Field Values

### DIAGRAM_PANE_NAME

    public static final java.lang.String DIAGRAM_PANE_NAME

See Also:
  Constant Field Values

### EDITOR_PANE_NAME

    public static final java.lang.String EDITOR_PANE_NAME

See Also:
  Constant Field Values

### CONFIG_FILE

    public static final java.lang.String CONFIG_FILE

See Also:
  Constant Field Values

### log

    protected static org.apache.log4j.Category log

### diagramViewListener

    protected biouml.workbench.BioUMLApplication.DiagramViewListener diagramViewListener

Constructor Detail

### BioUMLApplication

    public BioUMLApplication(java.lang.String modulePath)

Pendung:
  show dialog if error occurs during repository initialisation

Method Detail

### initHelp

    protected void initHelp()

  Initialize HelpRegistry and setup helpId for workbench components.

### bindHelp

    protected void bindHelp(javax.swing.JComponent component,
                            java.lang.String helpId)

### initActions

    protected void initActions()

### initToolbar

    protected void initToolbar()

### fillToolbarPaneActions

    protected void fillToolbarPaneActions()

### initMenubar

    protected void initMenubar()

### initPanels

    protected void initPanels()

### loadPreferences

    protected void loadPreferences()

### savePreferences

    protected void savePreferences()

### newDiagram

    public void newDiagram(Module module)

### openDiagram

    public void openDiagram(java.lang.String completeName)

### saveDiagram

    public void saveDiagram()

### closeApplication

    public boolean closeApplication()

  Returns:
    TRUE if application may be close, FALSE for prevent application close.

### saveDiagramConfirmDialog

    protected boolean saveDiagramConfirmDialog()

### closeCurrentDiagram

    public void closeCurrentDiagram()

### enableDiagramActions

    protected void enableDiagramActions(boolean flag)

  Pendung:

### enableSaveDiagramActions

    protected void enableSaveDiagramActions(boolean flag)

### updateSelection

    public void updateSelection(ViewPane viewPane)

### getDiagramViewListener

    public ViewPaneListener getDiagramViewListener()

### getMessageBundle

    public static MessageBundle getMessageBundle()

### stateChanged

    public void stateChanged(javax.swing.event.ChangeEvent e)

  Specified by:
    `stateChanged` in interface `javax.swing.event.ChangeListener`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.